## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           fennel
Version:        1.5.3
Release:        %autorelease
Summary:        A Lisp that compiles to Lua

License:        MIT
URL:            https://fennel-lang.org/
Source:         https://git.sr.ht/~technomancy/fennel/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  lua-devel >= 5.1
BuildRequires:  make

Provides:       lua-fennel = %{version}-%{release}
%if 0%{?rhel} && 0%{?rhel} < 9
%lua_requires
%endif
Recommends:     lua-readline

%description
Fennel is a Lisp that compiles to Lua. It aims to be easy to use, expressive,
and has almost zero overhead compared to handwritten Lua.

* *Full Lua compatibility* - You can use any function or library from Lua.
* *Zero overhead* - Compiled code should be just as or more efficient than
   hand-written Lua.
* *Compile-time macros* - Ship compiled code with no runtime dependency on
   Fennel.
* *Embeddable* - Fennel is a one-file library as well as an executable. Embed it
   in other programs to support runtime extensibility and interactive
   development.

At https://fennel-lang.org there's a live in-browser repl you can use without
installing anything.


%prep
%autosetup -p1


%build
%make_build


%install
%make_install \
  LUA_VERSION=%{lua_version} \
  PREFIX=%{_prefix}


%check
make test


%files
%license LICENSE
%doc README.md CODE-OF-CONDUCT.md CONTRIBUTING.md
%doc api.md changelog.md lua-primer.md reference.md tutorial.md
%{_bindir}/fennel
%{lua_pkgdir}/fennel.lua
%{_mandir}/man1/fennel.1*
%{_mandir}/man3/fennel-api.3.gz
%{_mandir}/man5/fennel-reference.5.gz
%{_mandir}/man7/fennel-tutorial.7.gz


%changelog
## START: Generated by rpmautospec
* Mon Feb 24 2025 Michel Lind <salimma@fedoraproject.org> - 1.5.3-2
- Remove upstreamed patch

* Mon Feb 17 2025 Packit <hello@packit.dev> - 1.5.3-1
- Update to 1.5.3
- Resolves rhbz#2346038

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Aug 26 2024 Michel Lind <salimma@fedoraproject.org> - 1.5.1-1
- Update to 1.5.1
- Skip IRC CI reporting on downstream builds
- Resolves rhbz#2307779

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 23 2024 Packit <hello@packit.dev> - 1.5.0-1
- Update to 1.5.0
- Resolves rhbz#2293843

* Tue Mar 12 2024 Michel Lind <salimma@fedoraproject.org> - 1.4.2-2
- Enable Packit

* Wed Feb 28 2024 Michel Lind <salimma@fedoraproject.org> - 1.4.2-1
- Update to 1.4.2 (rhbz#2265773)

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 12 2023 Michel Lind <salimma@fedoraproject.org> - 1.4.0-2
- Number additional patches for EL8 compatibility

* Mon Dec 11 2023 Michel Lind <salimma@fedoraproject.org> - 1.4.0-1
- Update to 1.4.0

* Fri Jul 28 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.1-2
- Fix version in manpages

* Fri Jul 28 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.1-1
- Update to 1.3.1
- more manpages!

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Feb 15 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.0-1
- Update to 1.3.0

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jan 13 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.2.1-1
- Update to 1.2.1

* Tue Sep 27 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.2.0-1
- Update to 1.2.0

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Apr 12 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 09 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0
- Opt in to rpmautospec

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Apr 16 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.9.1-1
- Update to 0.9.1

* Tue Feb  9 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.8.1-1
- Update to 0.8.1

* Wed Jan 27 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0
- Add Requires on lua(abi) for older releases

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec  1 14:47:54 PST 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.7.0-2
- Recommend installing lua-readline

* Mon Nov 23 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0

* Wed Sep 23 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.6.0-1
- Update to 0.6.0

* Fri Aug 28 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.5.0-1
- Initial Fedora package

## END: Generated by rpmautospec
